#
# spec file for package ypbind (Version 1.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ypbind
Copyright:    GPL
Group:        Networking/Daemons
Requires:     portmap yp-tools
Provides:     ypclient ypclient:/usr/sbin/ypbind
Obsoletes:    ypclient
Autoreqprov:  on
BuildRoot:    %{_tmppath}/ypbind-root
Version:      1.8
Release:      96
Summary:      NIS client daemon
Source:       ypbind-mt-%{version}.tar.bz2
Source1:      ypbind.init
Source2:      rc.config.ypbind
Source3:      SuSEconfig.ypclient
Source4:      HOWTO.SuSE
Patch:        ypbind-mt-%{version}.dif

%description
This package provides the ypbind daemon. The ypbind daemon binds NIS
clients to an NIS domain and searches a new NIS server if the old one
goes down.
Ypbind must be running on any machines which are running NIS client programs.

Authors:
--------
    Thorsten Kukuk <kukuk@suse.de>

SuSE series: n

%prep
%setup -n ypbind-mt-%{version}
%patch

%build
%{?suse_update_config}
export CFLAGS=$RPM_OPT_FLAGS
./configure --mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/var/yp/binding
make install DESTDIR=$RPM_BUILD_ROOT
# Install init script
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/ypbind
# Install rc.config add-on
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/var/adm/fillup-templates/
# Install SuSEconfig.ypclient
install -m 755 %SOURCE3 $RPM_BUILD_ROOT/sbin/conf.d/
ln -sf ../../etc/init.d/ypbind $RPM_BUILD_ROOT/usr/sbin/rcypbind
install %SOURCE4 .
############################################################################

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.ypbind
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ypbind"
  echo "and update by hand."
fi
#
# Initialize runlevel links
#
sbin/insserv etc/init.d/ypbind

%postun
rm -f var/yp/binding/*
sbin/insserv etc/init.d/

%files
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO HOWTO.SuSE
%config /etc/init.d/ypbind
/sbin/conf.d/SuSEconfig.ypclient
/var/adm/fillup-templates/rc.config.ypbind
%doc %{_mandir}/man5/yp.conf.5.gz
%doc %{_mandir}/man8/ypbind.8.gz
/usr/sbin/rcypbind
/usr/sbin/ypbind
%dir /usr/share/locale/de
%dir /usr/share/locale/de/LC_MESSAGES
/usr/share/locale/de/LC_MESSAGES/ypbind-mt.mo
%dir /var/yp
%dir /var/yp/binding

%changelog -n ypbind
* Tue Sep 25 2001 - ro@suse.de
- preserve permissions in SuSEconfig.ypclient
* Tue Aug 14 2001 - kukuk@suse.de
- Fix some race conditions in ypbind-mt
- Fix setlocale() call
* Tue Jul 31 2001 - kukuk@suse.de
- Also add a "+" to /etc/shadow if somebody really uses shadow over NIS
* Thu Apr 12 2001 - kukuk@suse.de
- Remove configure patch to work with new gettext
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Mar 21 2001 - kukuk@suse.de
- Update to ypbind-mt-1.8
* Wed Jan 24 2001 - kukuk@suse.de
- Provide ypclient
* Thu Nov 30 2000 - kukuk@suse.de
- skip start of ypbind if not configured, don't die silently
* Thu Nov 30 2000 - ro@suse.de
- startscript from sbin to etc
* Fri Nov 24 2000 - kukuk@suse.de
- New, reworked init script
- Some more bug fixes
* Wed Nov 22 2000 - kukuk@suse.de
- ypbind must be stopped before portmap
* Tue Nov 21 2000 - kukuk@suse.de
- Use new init script
* Thu Nov 02 2000 - kukuk@suse.de
- New version, split from ypclient
